Otros tipos de facturas
Otros tipos de documento electrónico (exenta, AIU, exportación, etc.).
6 operaciones documentadas.
Enviar factura — set de pruebas Excenta
Section titled “Enviar factura — set de pruebas Excenta”POSThttps://api.facttec.co/api/ubl2.1/invoice
-
Aplica la misma documentacion que el PRIMER ENVIO DE FACTURA de la sección 02 - PRIMEROS ENVIOS.
-
Este ejemplo ilustra como se debe utilizar la API para enviar una factura excenta de IVA, es de aclarar que excenta de IVA, es diferente de excluida de IVA.
Headers
| Header | Valor |
|---|---|
Accept |
application/json |
Content-Type |
application/json |
Authorization |
Bearer {api_token} |
Body JSON
{ "number": 990000519, "type_document_id": 1, "date": "2022-04-25", "time": "04:08:12", "resolution_number": "18760000001", "prefix": "SETP", "sendmail": true, "customer": { "identification_number": 900166483, "dv": 1, "name": "INVERSIONES DAVAL SAS", "phone": 3103891693, "address": "CLL 4 NRO 33-90", "email": "alexanderobandolondono@gmail.com", "merchant_registration": "0000000-00", "type_document_identification_id": 6, "type_organization_id": 1, "municipality_id": 822, "type_regime_id": 1 }, "payment_form": { "payment_form_id": 2, "payment_method_id": 30, "payment_due_date": "2022-05-25", "duration_measure": "30" }, "allowance_charges": [ { "discount_id": 1, "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "1000000.00" } ], "legal_monetary_totals": { "line_extension_amount": "1000000.00", "tax_exclusive_amount": "0.00", "tax_inclusive_amount": "1000000.00", "allowance_total_amount": "0.00", "charge_total_amount": "0.00", "payable_amount": "1000000.00" }, "invoice_lines": [ { "unit_measure_id": 70, "invoiced_quantity": "1", "line_extension_amount": "1000000.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "1000000.00" } ], "description": "COMISION POR SERVICIOS", "code": "COMISION", "type_item_identification_id": 4, "price_amount": "1000000.00", "base_quantity": "1" } ]}Ejemplo cURL
curl -X POST 'https://api.facttec.co/api/ubl2.1/invoice' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {api_token}' \ -H 'Content-Type: application/json' \ -d '{ "number": 990000519, "type_document_id": 1, "date": "2022-04-25", "time": "04:08:12", "resolution_number": "18760000001", "prefix": "SETP", "sendmail": true, "customer": { "identification_number": 900166483, "dv": 1, "name": "INVERSIONES DAVAL SAS", "phone": 3103891693, "address": "CLL 4 NRO 33-90", "email": "alexanderobandolondono@gmail.com", "merchant_registration": "0000000-00", "type_document_identification_id": 6, "type_organization_id": 1, "municipality_id": 822, "type_regime_id": 1 }, "payment_form": { "payment_form_id": 2, "payment_method_id": 30, "payment_due_date": "2022-05-25", "duration_measure": "30" }, "allowance_charges": [ { "discount_id": 1, "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "1000…'Enviar factura — set de pruebas Excenta E IVA 0%
Section titled “Enviar factura — set de pruebas Excenta E IVA 0%”POSThttps://api.facttec.co/api/ubl2.1/invoice
-
Aplica la misma documentacion que el PRIMER ENVIO DE FACTURA de la sección 02 - PRIMEROS ENVIOS.
-
Este ejemplo ilustra como se debe utilizar la API para enviar una factura que tenga articulos excentos de IVA y articulos excluidos de IVA.
Headers
| Header | Valor |
|---|---|
Accept |
application/json |
Content-Type |
application/json |
Authorization |
Bearer {api_token} |
Body JSON
{ "number": 990000373, "type_document_id": 1, "date": "2021-08-17", "time": "04:08:12", "resolution_number": "18760000001", "prefix": "SETP", "sendmail": true, "customer": { "identification_number": 900166483, "dv": 1, "name": "INVERSIONES DAVAL SAS", "phone": 3103891693, "address": "CLL 4 NRO 33-90", "email": "alexanderobandolondono@gmail.com", "merchant_registration": "0000000-00", "type_document_identification_id": 6, "type_organization_id": 1, "municipality_id": 822, "type_regime_id": 1 }, "payment_form": { "payment_form_id": 2, "payment_method_id": 30, "payment_due_date": "2021-09-17", "duration_measure": "30" }, "allowance_charges": [ { "discount_id": 1, "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "1000000.00" } ], "legal_monetary_totals": { "line_extension_amount": "1002400.00", "tax_exclusive_amount": "2400.00", "tax_inclusive_amount": "1002400.00", "allowance_total_amount": "0.00", "charge_total_amount": "0.00", "payable_amount": "1002400.00" }, "tax_totals": [ { "tax_id": 1, "tax_amount": "0.00", "taxable_amount": "2400.00", "percent": "0.00" } ], "invoice_lines": [ { "unit_measure_id": 70, "invoiced_quantity": "1", "line_extension_amount": "1000000.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "1000000.00" } ], "description": "COMISION POR SERVICIOS", "code": "COMISION", "type_item_identification_id": 4, "price_amount": "1000000.00", "base_quantity": "1" }, { "unit_measure_id": 70, "invoiced_quantity": "1", "line_extension_amount": "2400.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "2400.00" } ], "tax_totals": [ { "tax_id": 1, "tax_amount": "0.00", "taxable_amount": "2400.00", "percent": "0.00" } ], "description": "CURUBA", "code": "CURUBA", "type_item_identification_id": 4, "price_amount": "2400.00", "base_quantity": "1" } ]}Ejemplo cURL
curl -X POST 'https://api.facttec.co/api/ubl2.1/invoice' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {api_token}' \ -H 'Content-Type: application/json' \ -d '{ "number": 990000373, "type_document_id": 1, "date": "2021-08-17", "time": "04:08:12", "resolution_number": "18760000001", "prefix": "SETP", "sendmail": true, "customer": { "identification_number": 900166483, "dv": 1, "name": "INVERSIONES DAVAL SAS", "phone": 3103891693, "address": "CLL 4 NRO 33-90", "email": "alexanderobandolondono@gmail.com", "merchant_registration": "0000000-00", "type_document_identification_id": 6, "type_organization_id": 1, "municipality_id": 822, "type_regime_id": 1 }, "payment_form": { "payment_form_id": 2, "payment_method_id": 30, "payment_due_date": "2021-09-17", "duration_measure": "30" }, "allowance_charges": [ { "discount_id": 1, "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "1000…'Enviar factura — set de pruebas Excenta E IVA 19%
Section titled “Enviar factura — set de pruebas Excenta E IVA 19%”POSThttps://api.facttec.co/api/ubl2.1/invoice
-
Aplica la misma documentacion que el PRIMER ENVIO DE FACTURA de la sección 02 - PRIMEROS ENVIOS.
-
Este ejemplo ilustra como se debe utilizar la API para enviar una factura con articulos que lleven articulos excentos de IVA y a la vez articulos con tarifa de IVA 19%, aunque tambien se puede usar para otras tarifas de IVA.
Headers
| Header | Valor |
|---|---|
Accept |
application/json |
Content-Type |
application/json |
Authorization |
Bearer {api_token} |
Body JSON
{ "number": 990000375, "type_document_id": 1, "date": "2021-08-17", "time": "04:08:12", "resolution_number": "18760000001", "prefix": "SETP", "sendmail": true, "customer": { "identification_number": 900166483, "dv": 1, "name": "INVERSIONES DAVAL SAS", "phone": 3103891693, "address": "CLL 4 NRO 33-90", "email": "alexanderobandolondono@gmail.com", "merchant_registration": "0000000-00", "type_document_identification_id": 6, "type_organization_id": 1, "municipality_id": 822, "type_regime_id": 1 }, "payment_form": { "payment_form_id": 2, "payment_method_id": 30, "payment_due_date": "2021-09-17", "duration_measure": "30" }, "allowance_charges": [ { "discount_id": 1, "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "1000000.00" } ], "legal_monetary_totals": { "line_extension_amount": "1002400.00", "tax_exclusive_amount": "2400.00", "tax_inclusive_amount": "1002856.00", "allowance_total_amount": "0.00", "charge_total_amount": "0.00", "payable_amount": "1002856.00" }, "tax_totals": [ { "tax_id": 1, "tax_amount": "456.00", "taxable_amount": "2400.00", "percent": "19.00" } ], "invoice_lines": [ { "unit_measure_id": 70, "invoiced_quantity": "1", "line_extension_amount": "1000000.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "1000000.00" } ], "description": "COMISION POR SERVICIOS", "code": "COMISION", "type_item_identification_id": 4, "price_amount": "1000000.00", "base_quantity": "1" }, { "unit_measure_id": 70, "invoiced_quantity": "1", "line_extension_amount": "2400.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "2400.00" } ], "tax_totals": [ { "tax_id": 1, "tax_amount": "456.00", "taxable_amount": "2400.00", "percent": "19.00" } ], "description": "CURUBA", "code": "CURUBA", "type_item_identification_id": 4, "price_amount": "2856.00", "base_quantity": "1" } ]}Ejemplo cURL
curl -X POST 'https://api.facttec.co/api/ubl2.1/invoice' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {api_token}' \ -H 'Content-Type: application/json' \ -d '{ "number": 990000375, "type_document_id": 1, "date": "2021-08-17", "time": "04:08:12", "resolution_number": "18760000001", "prefix": "SETP", "sendmail": true, "customer": { "identification_number": 900166483, "dv": 1, "name": "INVERSIONES DAVAL SAS", "phone": 3103891693, "address": "CLL 4 NRO 33-90", "email": "alexanderobandolondono@gmail.com", "merchant_registration": "0000000-00", "type_document_identification_id": 6, "type_organization_id": 1, "municipality_id": 822, "type_regime_id": 1 }, "payment_form": { "payment_form_id": 2, "payment_method_id": 30, "payment_due_date": "2021-09-17", "duration_measure": "30" }, "allowance_charges": [ { "discount_id": 1, "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "1000…'Enviar factura — set de pruebas Excenta E IVA 19% — 0%
Section titled “Enviar factura — set de pruebas Excenta E IVA 19% — 0%”POSThttps://api.facttec.co/api/ubl2.1/invoice
ENVIO DE FACTURA CON ARTICULOS EXCENTOS, IVA 0 E IVA 19
-
Aplica la misma documentacion que el PRIMER ENVIO DE FACTURA de la sección 02 - PRIMEROS ENVIOS.
-
Este ejemplo ilustra como se debe utilizar la API para enviar una factura con articulos que lleven articulos excentos de IVA y a la vez articulos con tarifa de IVA 19% y tarifa de IVA 0%.
Headers
| Header | Valor |
|---|---|
Accept |
application/json |
Content-Type |
application/json |
Authorization |
Bearer {api_token} |
Body JSON
{ "number": 990000376, "type_document_id": 1, "date": "2021-08-17", "time": "04:08:12", "resolution_number": "18760000001", "prefix": "SETP", "sendmail": true, "customer": { "identification_number": 900166483, "dv": 1, "name": "INVERSIONES DAVAL SAS", "phone": 3103891693, "address": "CLL 4 NRO 33-90", "email": "alexanderobandolondono@gmail.com", "merchant_registration": "0000000-00", "type_document_identification_id": 6, "type_organization_id": 1, "municipality_id": 822, "type_regime_id": 1 }, "payment_form": { "payment_form_id": 2, "payment_method_id": 30, "payment_due_date": "2021-09-17", "duration_measure": "30" }, "allowance_charges": [ { "discount_id": 1, "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "1000000.00" } ], "legal_monetary_totals": { "line_extension_amount": "1005800.00", "tax_exclusive_amount": "5800.00", "tax_inclusive_amount": "1006256.00", "allowance_total_amount": "0.00", "charge_total_amount": "0.00", "payable_amount": "1006256.00" }, "tax_totals": [ { "tax_id": 1, "tax_amount": "456.00", "taxable_amount": "2400.00", "percent": "19.00" }, { "tax_id": 1, "tax_amount": "0.00", "taxable_amount": "3400.00", "percent": "0.00" } ], "invoice_lines": [ { "unit_measure_id": 70, "invoiced_quantity": "1", "line_extension_amount": "1000000.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "1000000.00" } ], "description": "COMISION POR SERVICIOS", "code": "COMISION", "type_item_identification_id": 4, "price_amount": "1000000.00", "base_quantity": "1" }, { "unit_measure_id": 70, "invoiced_quantity": "1", "line_extension_amount": "2400.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "2400.00" } ], "tax_totals": [ { "tax_id": 1, "tax_amount": "456.00", "taxable_amount": "2400.00", "percent": "19.00" } ], "description": "MANZANA", "code": "MANZANA", "type_item_identification_id": 4, "price_amount": "2856.00", "base_quantity": "1" }, { "unit_measure_id": 70, "invoiced_quantity": "1", "line_extension_amount": "3400.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "3400.00" } ], "tax_totals": [ { "tax_id": 1, "tax_amount": "0.00", "taxable_amount": "3400.00", "percent": "0.00" } ], "description": "CURUBA", "code": "CURUBA", "type_item_identification_id": 4, "price_amount": "3400.00", "base_quantity": "1" } ]}Ejemplo cURL
curl -X POST 'https://api.facttec.co/api/ubl2.1/invoice' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {api_token}' \ -H 'Content-Type: application/json' \ -d '{ "number": 990000376, "type_document_id": 1, "date": "2021-08-17", "time": "04:08:12", "resolution_number": "18760000001", "prefix": "SETP", "sendmail": true, "customer": { "identification_number": 900166483, "dv": 1, "name": "INVERSIONES DAVAL SAS", "phone": 3103891693, "address": "CLL 4 NRO 33-90", "email": "alexanderobandolondono@gmail.com", "merchant_registration": "0000000-00", "type_document_identification_id": 6, "type_organization_id": 1, "municipality_id": 822, "type_regime_id": 1 }, "payment_form": { "payment_form_id": 2, "payment_method_id": 30, "payment_due_date": "2021-09-17", "duration_measure": "30" }, "allowance_charges": [ { "discount_id": 1, "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "1000…'Enviar factura AIU — set de pruebas Sencilla
Section titled “Enviar factura AIU — set de pruebas Sencilla”POSThttps://api.facttec.co/api/ubl2.1/invoice-aiu
-
Aplica la misma documentacion que el PRIMER ENVIO DE FACTURA de la sección 02 - PRIMEROS ENVIOS.
-
Este ejemplo ilustra como se debe utilizar la API para enviar una factura AIU, este tipo de factura tiene como caracteristica que incluye las lineas ADMINISTRACION, IMPREVISTO y UTILIDAD, pero solo se cobra impuesto sobre el campo UTILIDAD, es muy utilizada por contratistas del area de la construccion.
Headers
| Header | Valor |
|---|---|
Accept |
application/json |
Content-Type |
application/json |
Authorization |
Bearer {api_token} |
Body JSON
{ "number": 990000606, "type_document_id": 1, "date": "2024-01-04", "time": "14:20:49", "notes": "SIN OBSERVACIONES", "noteAIU": "PARA PROYECTO DE PAVIMENTACION VIA SAN CARLOS - GRANADA", "sendmail": false, "resolution_number": "18760000001", "customer": { "identification_number": 18387250, "dv": 1, "name": "CARLOS MARIO CARMONA PATIÑO", "phone": "3176364715", "address": "CRA 98 B 48 164 AP 203", "email": "alexanderobandolondon@gmail.com", "merchant_registration": "0000-00", "type_document_identification_id": 3, "type_organization_id": 2, "municipality_id": 1006, "type_regime_id": 2 }, "payment_form": { "payment_form_id": 1, "payment_method_id": 10, "payment_due_date": "2024-01-04", "duration_measure": "0" }, "allowance_charges": [ { "discount_id": 1, "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "42136609.22" } ], "legal_monetary_totals": { "line_extension_amount": "42136609.22", "tax_exclusive_amount": "42136609.22", "tax_inclusive_amount": "42487747.65", "allowance_total_amount": "0.00", "charge_total_amount": "0.00", "payable_amount": "42487747.65" }, "tax_totals": [ { "tax_id": 1, "tax_amount": "0.00", "percent": "0", "taxable_amount": "40288512.22" }, { "tax_id": 1, "tax_amount": "351138.43", "percent": "19", "taxable_amount": "1848097.00" } ], "invoice_lines": [ { "unit_measure_id": 70, "invoiced_quantity": "1.00", "line_extension_amount": "2956955.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "2956955.00" } ], "tax_totals": [ { "tax_id": 1, "tax_amount": "0.00", "taxable_amount": "2956955.00", "percent": "0.00" } ], "description": "Administración", "code": "ADMINIST", "type_item_identification_id": 4, "price_amount": "2956955.00", "base_quantity": "1.00" }, { "unit_measure_id": 70, "invoiced_quantity": "1915.30", "line_extension_amount": "36961938.22", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "36961938.22" } ], "tax_totals": [ { "tax_id": 1, "tax_amount": "0.00", "taxable_amount": "36961938.22", "percent": "0.00" } ], "description": "AFIRMADO X M3", "code": "ND10002B", "type_item_identification_id": 4, "price_amount": "19298.25", "base_quantity": "1915.30" }, { "unit_measure_id": 70, "invoiced_quantity": "1.00", "line_extension_amount": "369619.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "369619.00" } ], "tax_totals": [ { "tax_id": 1, "tax_amount": "0.00", "taxable_amount": "369619.00", "percent": "0.00" } ], "description": "Imprevisto", "code": "IMPREVIS", "type_item_identification_id": 4, "price_amount": "369619.00", "base_quantity": "1.00" }, { "unit_measure_id": 70, "invoiced_quantity": "1.00", "line_extension_amount": "1848097.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "2199235.43" } ], "tax_totals": [ { "tax_id": 1, "tax_amount": "351138.43", "taxable_amount": "1848097.00", "percent": "19.00" } ], "description": "Utilidad", "code": "UTILIDAD", "type_item_identification_id": 4, "price_amount": "1848097.00", "base_quantity": "1.00" } ]}Ejemplo cURL
curl -X POST 'https://api.facttec.co/api/ubl2.1/invoice-aiu' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {api_token}' \ -H 'Content-Type: application/json' \ -d '{ "number": 990000606, "type_document_id": 1, "date": "2024-01-04", "time": "14:20:49", "notes": "SIN OBSERVACIONES", "noteAIU": "PARA PROYECTO DE PAVIMENTACION VIA SAN CARLOS - GRANADA", "sendmail": false, "resolution_number": "18760000001", "customer": { "identification_number": 18387250, "dv": 1, "name": "CARLOS MARIO CARMONA PATIÑO", "phone": "3176364715", "address": "CRA 98 B 48 164 AP 203", "email": "alexanderobandolondon@gmail.com", "merchant_registration": "0000-00", "type_document_identification_id": 3, "type_organization_id": 2, "municipality_id": 1006, "type_regime_id": 2 }, "payment_form": { "payment_form_id": 1, "payment_method_id": 10, "payment_due_date": "2024-01-04", "duration_measure": "0" }, "allowance_charges": [ { "discount_id": 1, "charge_indicator": false, "al…'Enviar factura de exportación — set de pruebas Sencilla
Section titled “Enviar factura de exportación — set de pruebas Sencilla”POSThttps://api.facttec.co/api/ubl2.1/invoice-export
-
Aplica la misma documentacion que el PRIMER ENVIO DE FACTURA de la sección 02 - PRIMEROS ENVIOS.
-
Este ejemplo ilustra como se debe utilizar la API para enviar una factura de exportacion, .
Headers
| Header | Valor |
|---|---|
Accept |
application/json |
Content-Type |
application/json |
Authorization |
Bearer {api_token} |
Body JSON
{ "number": 990000965, "type_document_id": 2, "date": "2024-03-18", "time": "04:25:44", "notes": "SIN OBSERVACIONES", "sendmail": true, "resolution_number": "18760000001", "prefix": "SETP", "k_supplement": { "responsible_incharge": "JACK TORRANCE", "departure_place": "PEREIRA", "conveyance": "AVION", "transport_document_type": "MATRICULA", "transport_document_number": "HK-45089632", "transporter_processor": "AVIANCA", "merchandise_origin_country": "COLOMBIA", "destination": "MIAMI", "payment_means": "CONTADO", "insurance_carrier": "SURAMERICANA SEGUROS", "observations": "NINGUNA", "FctConvCop": "3890", "MonedaCop": "USD", "SubTotalCop": "200.00", "DescuentoDetalleCop": "0.00", "RecargoDetalleCop": "0.00", "TotalBrutoFacturaCop": "200.00", "TotIvaCop": "38.00", "TotIncCop": "0.00", "TotBolCop": "0.00", "ImpOtroCop": "0.00", "MntImpCop": "38.00", "TotalNetoFacturaCop": "238.00", "MntDctoCop": "0.00", "MntRcgoCop": "0.00", "VlrPagarCop": "238.00", "ReteFueCop": "0.00", "ReteIvaCop": "0.00", "ReteIcaCop": "0.00", "TotAnticiposCop": "0.00" }, "customer": { "identification_number": "FR42128XD090", "name": "BLANCA NUBIA ALVAREZ ALZATE ", "phone": "3148931130", "address": "CR 14 BIS 31 B 37 BRR SAN NICOLAS", "email": "blancanubiaa@hotmail.com", "merchant_registration": "0000-00", "type_document_identification_id": 8, "type_organization_id": 2, "country_id": 65, "municipality_name": "MIAMI", "state_name": "FLORIDA", "type_liability_id": 117, "type_regime_id": 2 }, "deliveryterms": { "special_terms": "COSTO SEGURO Y FLETE", "loss_risk_responsibility_code": "CIF", "loss_risk": "COSTO SEGURO Y FLETE" }, "payment_form": { "payment_form_id": 2, "payment_method_id": 10, "payment_due_date": "2024-04-18", "duration_measure": "30" }, "allowance_charges": [ { "discount_id": 10, "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "15840.00" }, { "charge_indicator": true, "allowance_charge_reason": "CARGO POR FLETES/FREIGHT CHARGE", "amount": "200.00", "base_amount": "15840.00" } ], "legal_monetary_totals": { "line_extension_amount": "15840.00", "tax_exclusive_amount": "15840.00", "tax_inclusive_amount": "15840.00", "allowance_total_amount": "0.00", "charge_total_amount": "200.00", "payable_amount": "16040.00" }, "tax_totals": [ { "tax_id": 1, "tax_amount": "0.00", "percent": "0", "taxable_amount": "15840.00" } ], "invoice_lines": [ { "unit_measure_id": 70, "invoiced_quantity": "5.00", "line_extension_amount": "4950.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "4950.00" } ], "tax_totals": [ { "tax_id": 1, "tax_amount": "0.00", "taxable_amount": "4950.00", "percent": "0.00" } ], "description": "LEGGINS DE DAMA REF 1032", "brandname": "FULLFIT", "modelname": "1032", "code": "1032", "type_item_identification_id": 4, "price_amount": "990.00", "base_quantity": "5.00" }, { "unit_measure_id": 70, "invoiced_quantity": "6.00", "line_extension_amount": "5940.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "5940.00" } ], "tax_totals": [ { "tax_id": 1, "tax_amount": "0.00", "taxable_amount": "5940.00", "percent": "0.00" } ], "description": "LEGGINS DE DAMA REF 1087", "brandname": "FULLFIT", "modelname": "1087", "code": "1087", "type_item_identification_id": 4, "price_amount": "990.00", "base_quantity": "6.00" }, { "unit_measure_id": 70, "invoiced_quantity": "5.00", "line_extension_amount": "4950.00", "free_of_charge_indicator": false, "allowance_charges": [ { "charge_indicator": false, "allowance_charge_reason": "DESCUENTO GENERAL", "amount": "0.00", "base_amount": "4950.00" } ], "tax_totals": [ { "tax_id": 1, "tax_amount": "0.00", "taxable_amount": "4950.00", "percent": "0.00" } ], "description": "LEGGINS DE DAMA REF 1088", "brandname": "FULLFIT", "modelname": "1088", "code": "1088", "type_item_identification_id": 4, "price_amount": "990.00", "base_quantity": "5.00" } ]}Ejemplo cURL
curl -X POST 'https://api.facttec.co/api/ubl2.1/invoice-export' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {api_token}' \ -H 'Content-Type: application/json' \ -d '{ "number": 990000965, "type_document_id": 2, "date": "2024-03-18", "time": "04:25:44", "notes": "SIN OBSERVACIONES", "sendmail": true, "resolution_number": "18760000001", "prefix": "SETP", "k_supplement": { "responsible_incharge": "JACK TORRANCE", "departure_place": "PEREIRA", "conveyance": "AVION", "transport_document_type": "MATRICULA", "transport_document_number": "HK-45089632", "transporter_processor": "AVIANCA", "merchandise_origin_country": "COLOMBIA", "destination": "MIAMI", "payment_means": "CONTADO", "insurance_carrier": "SURAMERICANA SEGUROS", "observations": "NINGUNA", "FctConvCop": "3890", "MonedaCop": "USD", "SubTotalCop": "200.00", "DescuentoDetalleCop": "0.00", "RecargoDetalleCop": "0.00", "TotalBrutoFacturaCop": "200.00", "TotIvaCop": "38.00", "TotIncCop": "0.00", "TotBolCop…'